﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace EsempioState.Step3
{
    public class ServicesProvider : IServicesProvider
    {
        #region IServicesProvider Members

        public IParallelogramma CreaRettangolo(double altezza, double larghezza)
        {
            return new Parallelogramma(altezza, larghezza);
        }

        public IParallelogramma CreaQuadrato(double lato)
        {
            return new Parallelogramma(lato, lato);
        }

        public void Ridimensiona(IParallelogramma parallelogramma, Panel panel)
        {
            ModificatoreDiDimensioni.Modifica((Parallelogramma) parallelogramma, panel);
        }

        #endregion
    }
}
